IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Capacity group dependencies

Dependencies between occupancy groups. When booking, the value of the group referenced by accumulator_id will be set to the sum of the groups referenced by element_id.

The capacity group dependency object

Attributes

iduuid

Unique identifier

accumulator_iduuid
capacity_groups.id

Identifier of the accumulating capacity group

element_iduuid
capacity_groups.id

Identifier of the accumulated capacity group

created_attimestamp with time zone

Creation timestamp

The capacity group dependency object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "accumulator_id": "00000000-0000-0000-0000-000000000000",
  "element_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T07:07:29.825Z"
}

List capacity group dependencies

Filters

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of capacity group dependencies with the selected columns

206

Partial Content

GET /capacity_group_dependencies
curl -X GET "https://api.bookingmood.com/v1/capacity_group_dependencies?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create capacity group dependencies

Body

Partial<CapacityGroupDependency> | Array<Partial<CapacityGroupDependency>>

Responses

201

The newly created capacity group dependencies with the selected columns

POST /capacity_group_dependencies
curl -X POST "https://api.bookingmood.com/v1/capacity_group_dependencies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete capacity group dependencies

Filters

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

204

The deleted capacity group dependencies with the selected columns

DELETE /capacity_group_dependencies
curl -X DELETE "https://api.bookingmood.com/v1/capacity_group_dependencies" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update capacity group dependencies

Filters

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<CapacityGroupDependency>

Responses

204

The updated capacity group dependencies with the selected columns

PATCH /capacity_group_dependencies
curl -X PATCH "https://api.bookingmood.com/v1/capacity_group_dependencies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'